pub const Compressed = @Vector(4, u8);

pub const Value = @Vector(4, f32);

pub const black = Value{0, 0, 0, 1};

pub fn compress(color: Value) Compressed {
	return @intFromFloat(color * @as(Value, @splat(255)));
}

pub fn rgb(r: f32, g: f32, b: f32) Value {
	return .{r, g, b, 1};
}

pub const white = Value{1, 1, 1, 1};
